]> SALOME platform Git repositories - tools/sat_salome.git/commitdiff
Salome HOME
spns #18704 DB9 - embed gcc 8.5 - native gcc is not fully c++17 compliant
authorNabil Ghodbane <nabil.ghodbane@cea.fr>
Fri, 1 Oct 2021 10:21:17 +0000 (12:21 +0200)
committerNabil Ghodbane <nabil.ghodbane@cea.fr>
Fri, 1 Oct 2021 10:24:08 +0000 (12:24 +0200)
products/compil_scripts/gcc-8.5.0.sh [new file with mode: 0755]

diff --git a/products/compil_scripts/gcc-8.5.0.sh b/products/compil_scripts/gcc-8.5.0.sh
new file mode 100755 (executable)
index 0000000..1eb552c
--- /dev/null
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+echo "##########################################################################"
+echo "gcc" $VERSION
+echo "##########################################################################"
+
+CONFIGURE_FLAGS=''
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-languages=c,c++,fortran"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-checking=release"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --disable-multilib"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-shared=yes"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-threads=posix"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-plugins"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-ld"
+CONFIGURE_FLAGS=$CONFIGURE_FLAGS" --enable-bootstrap"
+
+echo "*** configure --prefix=${PRODUCT_INSTALL} ${CONFIGURE_FLAGS}"
+$SOURCE_DIR/configure --prefix=${PRODUCT_INSTALL} ${CONFIGURE_FLAGS}
+if [ $? -ne 0 ]
+then
+    echo "ERROR on configure"
+    exit 1
+fi
+
+echo
+echo "*** make" $MAKE_OPTIONS
+make $MAKE_OPTIONS
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make"
+    exit 2
+fi
+
+echo
+echo "*** make install"
+make install
+if [ $? -ne 0 ]
+then
+    echo "ERROR on make install"
+    exit 3
+fi
+
+echo
+echo "########## END"